from rocolib.api.ports import Port
from rocolib.utils.utils import prefix as prefixString

class MountPort(Port):
  def __init__(self, parent, decoration):
    Port.__init__(self, parent, {})
    self.decoration = decoration

  def getDecoration(self):
    return self.decoration

  def toString(self):
    print("decoration")

  def canMate(self, otherPort):
    return (otherPort.getFaceName() is not None)
